Frontend Tech + >> HBMAME
Previous thread Previous  View all threads Index   Next thread Next   Flat Mode Flat  

Flupper
MAME Fan
Reged: 03/18/06
Posts: 38
Send PM
Re: HBMAME 0.159r36430 released
03/17/15 03:54 PM


I'm trying to compile the source but but I keep getting this error.

I use the MAME Build Tools, which I use for regular MAME compiling successfully.

Here's the steps:
1. git clone https://github.com/Robbbert/hbmame
2. cd hbmame
3. make -j5 TARGET=hbmame

After a while this happens:


I omitted "OSD=winui" as I want to compile commandline version.
The "OSD=winui" is for GUI, right ?

If I specify OSD=winui this just happens instead:


Unfortunately I have to use a self compiled binary for my gamepads to work.
The recent change in \src\osd\windows\windows.mak rendered my pads useless in MAME & MESS (XBCD 0.2.7 drivers).
So I changed it back:

Code:

# set this to the minimum DirectInput version to support (7 or 8)
# DIRECTINPUT = 8


This way it works for me again.

I'm on Win7 SP1 x64.







Entire thread
Subject Posted by Posted on
* HBMAME 0.159r36430 released Robbbert 03/15/15 08:34 AM
. * Re: HBMAME 0.159r36430 released Flupper  03/17/15 03:54 PM
. * Re: HBMAME 0.159r36430 released RobbbertModerator  03/19/15 02:46 AM
. * Re: HBMAME 0.159r36430 released Flupper  03/28/15 03:09 PM

Extra information Permissions
Moderator:  Robbbert 
0 registered and 2 anonymous users are browsing this forum.
You cannot start new topics
You cannot reply to topics
HTML is enabled
UBBCode is enabled
Thread views: 2130